Subject: Re: linux-next: build failure after merge of the pwm tree

From: Thierry Reding <[email-masked]>
Date: Sat, 23 Aug 2014 00:15:54 +0200

On Sat, Aug 23, 2014 at 12:06:16AM +0200, Thierry Reding wrote:
> On Sat, Aug 23, 2014 at 07:07:37AM +1000, Stephen Rothwell wrote:
> > Hi Thierry,
> > 
> > After merging the pwm tree, today's linux-next build (powerpc allyesconfig)
> > failed like this:
> > 
> > drivers/pwm/pwm-lpss.c: In function 'pwm_lpss_config':
> > drivers/pwm/pwm-lpss.c:81:2: error: implicit declaration of function 'readl' [-Werror=implicit-function-declaration]
> >   ctrl = readl(lpwm->regs + PWM);
> >   ^
> > drivers/pwm/pwm-lpss.c:87:2: error: implicit declaration of function 'writel' [-Werror=implicit-function-declaration]
> >   writel(ctrl, lpwm->regs + PWM);
> >   ^
> > 
> > Caused by commit 28160b18787b ("pwm: lpss: Properly split driver to
> > parts").
> > 
> > I have reverted that commit for today (and 06c7b5394e21 ("pwm: lpss:
> > pci: Move to use pcim_enable_device()") which depends on it).
> 
> Ugh, that's unfortunate. I have a set of scripts I use to build-test
> before pushing, but I don't usually do full allyesconfig builds. It
> seems like pwm-lpss.c might only be missing a linux/io.h include. It
> will likely be Monday before I find the time to properly test and fix
> this, do you want me to remove the commits from the pwm/for-next branch
> so you don't have to revert it again?

Just confirmed that adding a linux/io.h include fixes the build. Will
push a fix in a minute.

Thierry